Skip to content

# Interface: CatalogCategoryEvents

Common.Catalog.CatalogCategoryEvents

## Table of contents

### Properties

- catalogAddMenu
- contextMenuOpen
- load

## Properties

### catalogAddMenu

• catalogAddMenu: (`context`: CatalogEntityAddMenuContext) => `void`

#### Type declaration

▸ (`context`): `void`

##### Parameters

Name | Type
--- | ---
`context` | CatalogEntityAddMenuContext

##### Returns

`void`

### contextMenuOpen

• contextMenuOpen: (`entity`: CatalogEntity<CatalogEntityMetadata, CatalogEntityStatus, CatalogEntitySpec>, `context`: CatalogEntityContextMenuContext) => `void`

#### Type declaration

▸ (`entity`, `context`): `void`

##### Parameters

Name | Type
--- | ---
`entity` | CatalogEntity<CatalogEntityMetadata, CatalogEntityStatus, CatalogEntitySpec>
`context` | CatalogEntityContextMenuContext

##### Returns

`void`

### load

• load: () => `void`

#### Type declaration

▸ (): `void`

##### Returns

`void`